package solucoesemtecnologia.com.br.tcc.utils;

import android.content.Context;
import android.database.sqlite.SQLiteDatabase;
import android.database.sqlite.SQLiteOpenHelper;

import solucoesemtecnologia.com.br.tcc.data.TableContent;

/**
 * Created by julio on 03/08/16.
 */
public class ConnectDataBase extends SQLiteOpenHelper {
    private static  final String _DB = "tcc_uems";
    private static  final  int _VERSION = 1;

    public ConnectDataBase(Context context) {
        super(context, _DB, null, _VERSION);
    }

    @Override
    public void onCreate(SQLiteDatabase db) {
        db.execSQL(TableContent.CreateNotes.SQL_CREATE_NOTES);
        db.execSQL(TableContent.CreateAcademic.SQL_CREATE_ACADEMIC);
        db.execSQL(TableContent.CreateMatter.SQL_CREATE_MATTERS);
    }

    @Override
    public void onUpgrade(SQLiteDatabase db, int oldVersion, int newVersion) {
        onCreate(db);
    }
}
