<?php
	session_start();
	
	if(!isset($_SESSION['id'])){
		header("Location: index.php");
	}
	
	require_once 'class/header/SetHeader.class.php';
?>
<!DOCTYPE html>
<html>
<head>
<meta charset="utf-8">
<meta http-equiv="X-UA-Compatible" content="IE=edge">
<meta name="viewport" content="width=device-width, initial-scale=1">
<!-- The above 3 meta tags *must* come first in the head; any other head content must come *after* these tags -->
<meta name="description" content="">
<meta name="author" content="">

<?php 
	$title = new Header();
	
	$title->Title();
?>

<link href="css/bootstrap.css" rel="stylesheet">
<link href="css/bootstrap-theme.css" rel="stylesheet">
<link href="css/style.css" rel="stylesheet">

<link href="css/font-awesome.min.css" rel="stylesheet">

<link href="css/table/dataTables.bootstrap.min.css" rel="stylesheet">

<link href="css/jquery-ui.css" rel="stylesheet"/>

<!-- IE10 viewport hack for Surface/desktop Windows 8 bug -->
<link href="css/ie10-viewport-bug-workaround.css" rel="stylesheet">
</head>
<body>
	<div class="site-holder">
		<!-- Fixed navbar -->	
		<?php
		$menu = new Header ();
		$menu->Menu ( "cadastrar" );
		?>
		<!-- .box-holder -->
		<div class="box-holder">
			<!-- .content -->
			<div class="container">
				<!-- Example row of columns -->
				<div class="row">
					<div class="col-md-12">
						<div class="panel panel-primary">
							<div class="panel-heading">
								<h3 class="panel-title">
									Cadastrar Acadêmico
								</h3>
							</div>
							<div class="panel-body">
								<div class="col-lg-12 col-md-12">
									<label for="inputEmail1"
										class="col-lg-3 col-md-3 control-label">Selecionar Matéria</label>
									<div class="col-lg-4 col-md-4">
										<select class="form-control form-cascade-control" id="select-matter">
											<option value="s">--- Selecionar ---</option>
										</select>
									</div>
								</div>
								<hr>
								<hr>
								<div class="col-lg-12 col-md-12">
									<div class="form-group">
										<label for="inputEmail1"
											class="col-lg-3 col-md-3 control-label">Selecionar Acadêmico</label>	
										<div class="col-lg-4 col-md-4">
											<div class="input-group">
												<input id="select_academic" type="text" class="form-control"
													placeholder="Inserir RGM"> <span class="input-group-btn">
													<button class="btn btn-primary" type="button"> Ok</button>
												</span>
											</div>
										</div>
										<div class="col-lg-2 col-md-2 alert-academic">
											<div class="message-alert">
												<i class="fa fa-info-circle"></i> Aluno já selecionado
											</div>
										</div>
										<div class="col-lg-3 col-md-3">
											<button id="new-academic" class="btn btn-primary navbar-right">
												<i class="fa fa-plus"></i> Novo Acadêmico
											</button>
										</div>
									</div>
								</div>
							</div>
							<div class="panel-primary">
								<div class="panel-body">
									<div class="form-group">
										<label class="col-lg-12 col-md-12 control-label">Acadêmico(s) Selecionado(s):</label>
									</div>
								</div>
								<div class="row view-reg">
								</div>
								<!-- /.row -->
								<div class="panel-primary">
									<div class="row">
										<button class="btn btn-default"><i class="fa fa-close"></i> Cancelar</button>
										<button class="btn btn-primary" id="submit-academic"><i class="fa fa-floppy-o"></i> Salvar</button>
									</div>
								</div>
							</div>							
						</div>
						<!-- /.panel -->
						<div class="panel panel-primary">
							<div class="panel-heading panel-primary">
								<h3 class="panel-title">Acadêmicos Cadastrados</h3>
							</div>
							<div class="panel-body">
								<div class="table-responsive">
									<table id="table-academic-matter"
										class="table table-striped table-bordered" cellspacing="0"
										width="100%">
										<thead>
											<tr>
												<th class="text-align-table">#</th>
												<th class="text-align-table">RGM</th>
												<th class="text-align-table">Acadêmico</th>
												<th class="text-align-table">Matéria</th>												
												<th class="text-align-table">Ação</th>
											</tr>
										</thead>
										<tbody>
										</tbody>
									</table>
								</div>
							</div>
							<!-- /.panel -->
						</div>
					</div>
				</div>

				<?php
					$footer = new Header ();
					$footer->Footer ();
				?>
			</div>
			<!-- /container -->
		</div>
		<!-- modal informativo -->
		<div id="modal-information" class="modal fade" tabindex="-1"
			role="dialog">
			<div class="modal-dialog" role="document">
				<div class="modal-content">
					<div class="modal-header">
						<button type="button" class="close" data-dismiss="modal"
							aria-label="Close">
							<span aria-hidden="true">&times;</span>
						</button>
						<h4 class="modal-title"></h4>
					</div>
					<div class="modal-body">
					</div>
					<div class="modal-footer"></div>
				</div>
				<!-- /.modal-content -->
			</div>
			<!-- /.modal-dialog -->
		</div>
	</div>

	<!-- /container -->
	<script type="text/javascript" src="js/jquery-1.12.2.min.js"></script>

	<script type="text/javascript" src="js/bootstrap.js"></script>
	
	<!-- Table  -->
	<script type="text/javascript" src="js/table/jquery.dataTables.min.js"></script>
	<script type="text/javascript" src="js/table/dataTables.bootstrap.min.js"></script>

	<!-- IE10 viewport hack for Surface/desktop Windows 8 bug -->
	<script type="text/javascript" src="js/ie10-viewport-bug-workaround.js"></script>
	
	<script type="text/javascript" src="js/jquery-ui.js"></script>

	<script type="text/javascript" src="js/tcc/insert-academic.js"></script>
	<script type="text/javascript" src="js/tcc/select-academic.form.js"></script>
	<script type="text/javascript" src="js/tcc/datatable.academic.js"></script>
	
	<script type="text/javascript" src="js/validate/jquery.validate.js"></script>
</body>
</html>