<?php
require_once 'class/header/SetHeader.class.php';
?>
<!DOCTYPE html>
<html>
<head>
<meta charset="utf-8">
<meta http-equiv="X-UA-Compatible" content="IE=edge">
<meta name="viewport" content="width=device-width, initial-scale=1">
<!-- The above 3 meta tags *must* come first in the head; any other head content must come *after* these tags -->
<meta name="description" content="">
<meta name="author" content="Julio Cézar Borba Coelho">

<?php 
	$title = new Header();
	
	$title->Title();
?>

<link href="css/bootstrap.css" rel="stylesheet">
<link href="css/bootstrap-theme.css" rel="stylesheet">
<link href="css/style.css" rel="stylesheet">

<link href="css/radio/radio.css" rel="stylesheet">

<link href="css/font-awesome.min.css" rel="stylesheet">

<!-- Table -->
<link href="css/table/dataTables.bootstrap.min.css" rel="stylesheet">

<!-- IE10 viewport hack for Surface/desktop Windows 8 bug -->
<link href="css/ie10-viewport-bug-workaround.css" rel="stylesheet">
</head>
<body>
	<div class="site-holder">
		<!-- Fixed navbar -->	
		<?php
		$menu = new Header ();
		$menu->Menu ( "avisos" );
		?>
		<!-- .box-holder -->
		<div class="box-holder">
			<!-- .content -->
			<div class="container">
				<!-- Example row of columns -->
				<div class="row">
					<div class="col-sm-12 col-md-12 col-lg-12">
						<div class="panel panel-primary">
							<div class="panel-heading">
								<h3 class="panel-title">
									Inserir Aviso
								</h3>
							</div>
							<div class="panel-body">
								<form class="form-horizontal" role="form" id="form-notice">
									<div class="form-group">
										<label for="inputEmail1"
											class="col-lg-1 col-md-2 control-label">Titulo</label>
										<div class="col-lg-10 col-md-9">
											<input type="text" name="title" class="form-control form-cascade-control"
												id="title" placeholder="">
										</div>
									</div>
									<div class="form-group">
										<label for="inputEmail1"
											class="col-lg-1 col-md-2 control-label">Texto</label>
										<div class="col-lg-10 col-md-9">
											<textarea type="text"
												class="form-control form-cascade-control" id="text" name="text"></textarea>
										</div>
									</div>
									<div class="form-group">
										<label for="inputEmail1"
											class="col-lg-3 col-md-3 control-label">Comunicar apenas
											acadêmicos:</label>
										<div class="col-lg-9 col-md-9">
											<div class="col-lg-3 col-md-3">
												<label for="radio-one"> <input type="radio"
													value="1" name="communicate" id="radio-one"> <span>da
														matéria</span>
												</label> <label for="radio-two"> <input type="radio"
													value="2" name="communicate" id="radio-two"> <span>do
														curso</span>
												</label>
											</div>
											<div class="col-lg-3 col-md-3">
												<label for="radio-three"> <input type="radio"
													value="3" name="communicate" id="radio-three"> <span>da
														unidade</span>
												</label> <label for="radio-four"> <input type="radio"
													value="4" name="communicate" id="radio-four"> <span>da
														universidade</span>
												</label>
											</div>
										</div>
									</div>
									<div class="form-group">
										<label class="col-lg-1 col-md-2"></label>
										<div class="col-lg-11 col-md-10">
											<button type="reset" class="btn btn-default"><i class="fa fa-close"></i> Cancelar</button>
											<button type="submit" class="btn btn-primary"><i class="fa fa-floppy-o"></i> Salvar</button>
										</div>
									</div>
								</form>
							</div>
						</div>						
						
						<!-- /.panel -->
						<div class="panel panel-primary">
							<div class="panel-heading panel-primary">
								<h3 class="panel-title">Avisos Encaminhados</h3>
							</div>
							<div class="panel-body">
								<div class="table-responsive">
									<table id="table-notice"
										class="table table-striped table-bordered" cellspacing="0"
										width="100%">
										<thead>
											<tr>
												<th class="text-align-table">#</th>
												<th class="text-align-table">Título</th>
												<th class="text-align-table">Texto</th>
												<th class="text-align-table">Data</th>
												<th class="text-align-table">Ação</th>
											</tr>
										</thead>
										<tbody>
										</tbody>
									</table>
								</div>
							</div>
							<!-- /.panel -->
						</div>
					</div>
				</div>

				<?php
				$footer = new Header ();
				$footer->Footer ();
				?>
			</div>
			<!-- /container -->
		</div>
	</div>
	<!-- modal informativo -->
	<div id="modal-information" class="modal fade" tabindex="-1"
		role="dialog">
		<div class="modal-dialog" role="document">
			<div class="modal-content">
				<div class="modal-header">
					<button type="button" class="close" data-dismiss="modal"
						aria-label="Close">
						<span aria-hidden="true">&times;</span>
					</button>
					<h4 class="modal-title"></h4>
				</div>
				<div class="modal-body"></div>
				<div class="modal-footer"></div>
			</div>
			<!-- /.modal-content -->
		</div>
		<!-- /.modal-dialog -->
	</div>

	<!-- /container -->
	<script type="text/javascript" src="js/jquery-1.12.2.min.js"></script>

	<script type="text/javascript" src="js/bootstrap.js"></script>

	<!-- IE10 viewport hack for Surface/desktop Windows 8 bug -->
	<script type="text/javascript" src="js/ie10-viewport-bug-workaround.js"></script>

	<!-- Table  -->
	<script type="text/javascript" src="js/table/jquery.dataTables.min.js"></script>
	<script type="text/javascript" src="js/table/dataTables.bootstrap.min.js"></script>
	
	<script type="text/javascript" src="js/tcc/notice.form.js"></script>
	
	<script type="text/javascript" src="js/date.format.js"></script>
</body>
</html>