var dataAcademicMatter = []

$(function(){
	$.ajax({
		type: "post",
		dataType: "json",
		url: "class/controller/academic.php",
		data: {type : 4},
		success: function(data){
			if(data.success){
				var dataItem = [];
				
				$.each(data.data, function(index, value){
					var dataAux = [];
					var date = new Date(value.date_current);
					
					dataAux['id'] 	= value.id;
					dataAux['rgm']= value.rgm;
					dataAux['academic'] = value.name;
					dataAux['matter'] = value.title;
					dataAux['action'] = '<button class="btn btn-danger" onclick="onDeleteAcademic('+index+')"><i class="fa fa-trash"></i> Excluir</button>';
					
					dataItem.push(dataAux);
				});
				
				$('#table-academic-matter').DataTable( {
					processing: true,
			        data: dataItem,
			        columns: [
			            { "data": "id" },
			            { "data": "rgm" },
			            { "data": "academic" },
			            { "data": "matter" },
			            { "data": "action" }
			        ]
			    });
				
				dataAcademicMatter = data.data;
			}else{
				alert("Erro: " + JSON.stringify(data, null, 4));
			}
		},
		error: function(){
			alert("Erro: " + JSON.stringify(data, null, 4));
		}
	});
});

function onDeleteAcademic(index){
	$(".modal-body").empty();
	$(".modal-footer").empty();

	$.ajax({
		type: "post",
		dataType: "json",
		url: "class/controller/academic.php",
		data: {type: 5, id: dataAcademicMatter[index].id},
		success: function(data){
			if(data.success){
				var modal = $("#modal-information");
				
				modal.find('.modal-title').text("Academicos");
				modal.find('.modal-body').append("<p>Acadêmico excluído com sucesso.</p>");
				
				modal.find('.modal-footer').append("<button class='btn btn-default btn-close' data-dismiss='modal'><i class='fa fa-close'></i> Fechar</button>");
				
				modal.modal("show");
				
				$(".btn-close").click(function(){
					location.reload();
				});
			}else{
				alert("Erro: " + JSON.stringify(data, null, 4));
			}
		},
		error: function(data){
			alert("Erro: " + JSON.stringify(data, null, 4));
		}
	});
}