var dataNotice = [];

$(document).ready(function(){
	$.ajax({
		type: "post",
		dataType: "json",
		url: "class/controller/notice.php",
		data: {	type: 2},
		success: function(data){
			if(data.success){
				var dataItem = [];
				
				$.each(data.data, function(index, value){
					var dataAux = [];
					var date = new Date(value.date_current);
					
					dataAux['id'] 	= value.id;
					dataAux['title']= value.title;
					dataAux['text'] = value.text;
					dataAux['date'] = dateFormat(date, "dd/mm/yyyy hh:mm:ss");
					dataAux['action'] = '<button class="btn btn-danger" onclick="onDelete('+index+')"><i class="fa fa-trash"></i> Excluir</button>'
										+'<button class="btn btn-warning" style="margin-left: 10px" onclick="onDetail('+index+')"><i class="fa fa-eye"></i> Detalhes</button>';
					
					dataItem.push(dataAux);
				});
				
				$('#table-notice').DataTable( {
					processing: true,
			        data: dataItem,
			        columns: [
			            { "data": "id" },
			            { "data": "title" },
			            { "data": "text" },
			            { "data": "date" },
			            { "data": "action" }
			        ]
			    });
				
				dataNotice = data.data;
			}else{
				alert("Erro: "+JSON.stringify(data, null, 4));
			}
		},
		error: function(data){
			alert("Erro: " + JSON.stringify(data, null, 4));
		}
	});
});

$("#form-notice").submit(function(e){
	$(".modal-body").empty();
	$(".modal-footer").empty();
	
	$.ajax({
		type: "post",
		dataType: "json",
		url: "class/controller/notice.php",
		data: {
			type: 1,
			title:  $("input[name='title']").val(),
			text:  $("#text").val(),
			communicate:  $("input[name='communicate']").val()
		},
		success: function(data){
			if(data.success){
				var modal = $("#modal-information");
				
				modal.find('.modal-title').text("Avisos");
				modal.find('.modal-body').append("<p>Seu aviso foi salvo com sucesso. Em breve chegará aos destinátarios.</p>");
				
				modal.find('.modal-footer').append("<button class='btn btn-default btn-close' data-dismiss='modal'><i class='fa fa-close'></i> Fechar</button>");
				
				modal.modal("show");
				
				$(".btn-close").click(function(){
					location.reload();
				});
			}else{
				alert("Erro: " + JSON.stringify(data, null, 4));
			}
		},
		error: function(data){
			alert("Erro: " + JSON.stringify(data, null, 4));
		}
	});
	
	e.preventDefault();
});

function onDelete(index){
	$(".modal-body").empty();
	$(".modal-footer").empty();

	$.ajax({
		type: "post",
		dataType: "json",
		url: "class/controller/notice.php",
		data: {type: 3, id: dataNotice[index].id},
		success: function(data){
			if(data.success){
				var modal = $("#modal-information");
				
				modal.find('.modal-title').text("Avisos");
				modal.find('.modal-body').append("<p>Aviso excluído com sucesso.</p>");
				
				modal.find('.modal-footer').append("<button class='btn btn-default btn-close' data-dismiss='modal'><i class='fa fa-close'></i> Fechar</button>");
				
				modal.modal("show");
				
				$(".btn-close").click(function(){
					location.reload();
				});
			}else{
				alert("Erro: " + JSON.stringify(data, null, 4));
			}
		},
		error: function(data){
			alert("Erro: " + JSON.stringify(data, null, 4));
		}
	});
}