package solucoesemtecnologia.com.br.tcc.activity;

import android.os.Bundle;
import android.support.annotation.Nullable;
import android.support.v7.app.AppCompatActivity;
import android.support.v7.widget.Toolbar;
import android.view.View;
import android.widget.ArrayAdapter;
import android.widget.Spinner;
import android.widget.TextView;

import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;

import solucoesemtecnologia.com.br.tcc.R;

/**
 * Created by julio on 04/08/16.
 */
public class Grades extends AppCompatActivity {
    Toolbar toolbar;

    @Override
    protected void onCreate(@Nullable Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.layout_grades);
        TextView gradesValues;

        toolbar = (Toolbar) findViewById(R.id.toolbar);
        setSupportActionBar(toolbar);

        if(getSupportActionBar() != null){
            getSupportActionBar().setTitle("Notas");
            getSupportActionBar().setDisplayHomeAsUpEnabled(true);
        }

        final Spinner spinner = (Spinner) findViewById(R.id.selectMattersGrades);
        String[] plants = new String[]{
                "Engenharia de Software",
                "Análise de Algoritmo",
                "Programação Paralela e Distribuida",
                "Analise de Projeto Final de Curso"
        };

        final List<String> plantsList = new ArrayList<>(Arrays.asList(plants));
        final ArrayAdapter<String> spinnerArrayAdapter = new ArrayAdapter<>(
                this, R.layout.spinner_item, plantsList);

        spinnerArrayAdapter.setDropDownViewResource(R.layout.spinner_item);
        spinner.setAdapter(spinnerArrayAdapter);
        spinner.setSelection(1);

        TextView tv_grade_5 = (TextView) findViewById(R.id.tv_grade_5);

        tv_grade_5.setVisibility(View.GONE);
    }
}
