package solucoesemtecnologia.com.br.tcc.activity;

import android.app.Activity;
import android.content.Intent;
import android.os.Bundle;

import solucoesemtecnologia.com.br.tcc.MainActivity;
import solucoesemtecnologia.com.br.tcc.R;
import solucoesemtecnologia.com.br.tcc.dao.AcademicDAO;

/**
 * Created by julio on 26/10/16.
 */
public class Home extends Activity {
    private AcademicDAO academicDAO;

    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.layout_home);

        academicDAO = new AcademicDAO(this);

        int count = academicDAO.SelectRegister();

        if(count == 0){
            new Thread(new Runnable() {
                @Override
                public void run() {
                    try {
                        Thread.sleep(3000);
                        Intent intent = new Intent(getBaseContext(), Register.class);
                        startActivity(intent);
                    } catch (InterruptedException e) {
                        e.printStackTrace();
                    }
                }
            }).start();
        }else{
            new Thread(new Runnable() {
                @Override
                public void run() {
                    try {
                        Thread.sleep(3000);
                        Intent intent = new Intent(getBaseContext(), MainActivity.class);
                        startActivity(intent);
                    } catch (InterruptedException e) {
                        e.printStackTrace();
                    }
                }
            }).start();
        }
    }
}
