<?php
	require_once '../connection/DataBase.class.php';
	
	class NoticeDAO extends DataBase{
		
		public function __construct(){
			session_start();
		}
		public function SalveNotice($data){
			setlocale(LC_ALL, "pt_BR", "pt_BR.iso-8859-1", "pt_BR.utf-8", "portuguese");
			date_default_timezone_set('America/Campo_Grande');
			
			/*Selecionando dados de conexao com o BD*/
			$this->conn = new DataBase();
			
			$this->pdo = $this->conn->DatabaseDefault();
			
			$this->sql = "INSERT INTO notice (`title`,`text`,`date_current`,`communicate`,`cod_teacher`) VALUES (?, ?, ?, ?, ?)";
			
			$this->query = $this->pdo->prepare($this->sql);
				
			$this->query->bindValue(1, $data['title']);
			$this->query->bindValue(2, $data['text']);
			$this->query->bindValue(3, date("Y/m/d H:i:s"));
			$this->query->bindValue(4, $data['communicate']);
			$this->query->bindValue(5, $_SESSION['id']);
			
			if($this->query->execute()){			
			
				return array('success' => 1);
			}else{
				$this->queryError = $this->query->errorInfo();
					
				parent::__destruct();
					
				return array("success" => 0, "alert" => "Error - ".$this->queryError[2]);
			}
		}
		
		public function SelectNotice(){				
			/*Selecionando dados de conexao com o BD*/
			$this->conn = new DataBase();
				
			$this->pdo = $this->conn->DatabaseDefault();
				
			$this->sql = "SELECT * FROM notice";
				
			$this->query = $this->pdo->prepare($this->sql);
				
			if($this->query->execute()){
				$rows = $this->query->fetchAll ( PDO::FETCH_OBJ );
					
				return array('success' => 1, 'data' => $rows);
			}else{
				$this->queryError = $this->query->errorInfo();
					
				parent::__destruct();
					
				return array("success" => 0, "alert" => "Error - ".$this->queryError[2]);
			}
		}
		
		public function DeleteNotice($idNotice){				
			/*Selecionando dados de conexao com o BD*/
			$this->conn = new DataBase();
				
			$this->pdo = $this->conn->DatabaseDefault();
				
			$this->sql = "DELETE FROM notice WHERE id = ?";
				
			$this->query = $this->pdo->prepare($this->sql);
		
			$this->query->bindValue(1, $idNotice);
				
			if($this->query->execute()){
				parent::__destruct();
					
				return array('success' => 1);
			}else{
				$this->queryError = $this->query->errorInfo();
					
				parent::__destruct();
					
				return array("success" => 0, "alert" => "Error - ".$this->queryError[2]);
			}
		}
	} 
?>