$(function(){
	$.ajax({
		type: "post",
		dataType: "json",
		url: "class/controller/matters.php",
		data: {type : 2},
		success: function(data){
			if(data.success){				
				var selectNotes = $("#select-matter");
				
				$.each(data.data, function(index, value){
					selectNotes.append('<option value="'+value.id+'">'+capitalizeFirstLetter(value.title)+'</option>');					
				});
			}else{
				alert("Erro: " + JSON.stringify(data, null, 4));
			}
		},
		error: function(){
			alert("Erro: " + JSON.stringify(data, null, 4));
		}
	});
});

var dataAcademic = [];

$('#select-matter').change(function(){	
	
	if($(this).val() != 's'){
		$.ajax({
			type: "post",
			dataType: "json",
			url: "class/controller/notes.php",
			data: {type : 1, matter : $(this).val()},
			success: function(data){	
				console.log(data.data.length);
				if(data.success){
					if(data.data.length != 0){
						var dataItem = [];
						var tbody = $("#tbody-table");
						var thead = [];
						var tdata = [];
						
						thead.push({title: 'RGM', 'data' : 'rgm'},{title: 'Nome', 'data' : 'name'});
						
						for(var i = 1; i <= data.data[0].amount_avaluation; i++){
							thead.push({title: 'Nota '+i, 'data' : 'note_'+i+''});
						}
						
						thead.push({title: 'Ação', 'data' : 'action'});						
						
						$.each(data.data, function(index, value){
							var objAcademic = [];
							
							objAcademic['rgm'] = value.rgm;
							objAcademic['name'] = value.academic;
							
							for(var i = 1; i <= value.amount_avaluation; i++){						
								objAcademic['note_'+i] = value.notes[0].notes;
							}
							
							objAcademic['action'] = '<button class="btn btn-warning" onclick="onEditNotes('+index+')"><i class="fa fa-edit"></i> Editar</button>';
							
							tdata.push(objAcademic);
						});
						
						$('#insert-notes').DataTable({
							processing: true,
					        data: tdata,
					        columns: thead
						});
						
						dataAcademic = data.data;
					}else{
						var modal = $("#modal-information");
						
						$(".modal-body").empty();
						$(".modal-footer").empty();
						
						modal.find('.modal-title').text("Notas");
						modal.find('.modal-body').append("<p>A matéria selecionada, não possui acadêmicos cadastrados.</p>")
						modal.find('.modal-footer').append('<button class="btn btn-default" data-dismiss="modal"><i class="fa fa-close"></i> Fechar</button>');
						
						modal.modal("show");
					}
				}else{
					alert("Erro: " + JSON.stringify(data, null, 4));
				}
			},
			error: function(data){
				alert("Erro: " + JSON.stringify(data, null, 4));
			}
		});
	}
});

function onEditNotes(index){
	console.log(dataAcademic[index]);
}

function capitalizeFirstLetter(string) {
	var sub_string = string.split(" ");
	var string_aux = "";
	
	for(i = 0; i < sub_string.length; i++){
		string_aux += sub_string[i].charAt(0).toUpperCase() + sub_string[i].slice(1) + " ";
	}
	
    return string_aux;
}