<?php
	session_start();
	
	if(!isset($_SESSION['id'])){
		header("Location: index.php");
	}
	
	require_once 'class/header/SetHeader.class.php';
?>
<!DOCTYPE html>
<html>
<head>
<meta charset="utf-8">
<meta http-equiv="X-UA-Compatible" content="IE=edge">
<meta name="viewport" content="width=device-width, initial-scale=1">
<!-- The above 3 meta tags *must* come first in the head; any other head content must come *after* these tags -->
<meta name="description" content="">
<meta name="author" content="Julio Cézar Borba Coelho">

<?php 
	$title = new Header();
	
	$title->Title();
?>

<link href="css/bootstrap.css" rel="stylesheet">
<link href="css/bootstrap-theme.css" rel="stylesheet">
<link href="css/style.css" rel="stylesheet">

<link href="css/radio/radio.css" rel="stylesheet">

<link href="css/font-awesome.min.css" rel="stylesheet">

<!-- Table -->
<link href="css/table/dataTables.bootstrap.min.css" rel="stylesheet">

<!-- IE10 viewport hack for Surface/desktop Windows 8 bug -->
<link href="css/ie10-viewport-bug-workaround.css" rel="stylesheet">
</head>
<body>
	<div class="site-holder">
		<!-- Fixed navbar -->	
		<?php
		$menu = new Header ();
		$menu->Menu ( "avisos" );
		?>
		<!-- .box-holder -->
		<div class="box-holder">
			<!-- .content -->
			<div class="container">
				<!-- Example row of columns -->
				<div class="row">
					<div class="col-lg-12 col-md-12">
						<label for="inputEmail1"
							class="col-lg-2 col-md-2 control-label">Selecionar Matéria</label>
						<div class="col-lg-4 col-md-4">
							<select class="form-control form-cascade-control" id="select-matter">
								<option value="s">--- Selecionar ---</option>
							</select>
						</div>
					</div>
					<hr>
					<br>
					<div class="col-sm-12 col-md-12 col-lg-12">						
						<!-- /.panel -->
						<div class="panel panel-primary">
							<div class="panel-heading panel-primary">
								<h3 class="panel-title">Notas</h3>
							</div>
							<div class="panel-body">
								<div class="table-responsive">
									<table id="insert-notes"
										class="table table-striped table-bordered" cellspacing="0"
										width="100%">
										<thead id="thead-table">
										</thead>
										<tbody id="tbody-table">
										</tbody>
									</table>
								</div>
							</div>
							<!-- /.panel -->
						</div>
					</div>
				</div>

				<?php
				$footer = new Header ();
				$footer->Footer ();
				?>
			</div>
			<!-- /container -->
		</div>
	</div>
	<!-- modal informativo -->
	<div id="modal-information" class="modal fade" tabindex="-1"
		role="dialog">
		<div class="modal-dialog" role="document">
			<div class="modal-content">
				<div class="modal-header">
					<button type="button" class="close" data-dismiss="modal"
						aria-label="Close">
						<span aria-hidden="true">&times;</span>
					</button>
					<h4 class="modal-title"></h4>
				</div>
				<div class="modal-body"></div>
				<div class="modal-footer"></div>
			</div>
			<!-- /.modal-content -->
		</div>
		<!-- /.modal-dialog -->
	</div>
	
	<!-- Modal -->
	<div class="modal fade" id="myModal" tabindex="-1" role="dialog" aria-labelledby="myModalLabel">
		<div class="modal-dialog modal-lg" role="document">
			<div class="modal-content">
				<div class="modal-header">
					<button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
					<h4 class="modal-title" id="myModalLabel">Inserir Nota</h4>
				</div>
				<div class="modal-body">
					<table id="insert-notes" class="table table-striped table-bordered"
						cellspacing="0" width="100%">
						<tbody id="return-tr">
						</tbody>
					</table>
				</div>
				<div class="modal-footer">
					<button type="button" class="btn btn-default" data-dismiss="modal"><i class="fa fa-close"></i> Fechar</button>
					<button type="button" class="btn btn-primary"><i class="fa fa-floppy-o"></i> Salvar</button>
				</div>
			</div>
		</div>
	</div>

	<!-- /container -->
	<script type="text/javascript" src="js/jquery-1.12.2.min.js"></script>

	<script type="text/javascript" src="js/bootstrap.js"></script>

	<!-- IE10 viewport hack for Surface/desktop Windows 8 bug -->
	<script type="text/javascript" src="js/ie10-viewport-bug-workaround.js"></script>

	<!-- table  -->
	<script type="text/javascript" src="js/table/jquery.dataTables.min.js"></script>
	<script type="text/javascript" src="js/table/dataTables.bootstrap.min.js"></script>
	
	<script type="text/javascript" src="js/tcc/datatable.notes.js"></script>
	
	<script type="text/javascript" src="js/tcc/insert-notes.js"></script>

</body>
</html>