<?php
	session_start();
	
	if(!isset($_SESSION['id'])){
		header("Location: index.php");
	}
	
	require_once 'class/header/SetHeader.class.php';
?>
<!DOCTYPE html>
<html>
<head>
<meta charset="utf-8">
<meta http-equiv="X-UA-Compatible" content="IE=edge">
<meta name="viewport" content="width=device-width, initial-scale=1">
<!-- The above 3 meta tags *must* come first in the head; any other head content must come *after* these tags -->
<meta name="description" content="">
<meta name="author" content="Julio Cézar Borba Coelho">

<?php 
	$title = new Header();
	
	$title->Title();
?>

<link href="css/bootstrap.css" rel="stylesheet">
<link href="css/bootstrap-theme.css" rel="stylesheet">
<link href="css/style.css" rel="stylesheet">

<link href="css/font-awesome.min.css" rel="stylesheet">

<link href="css/table/dataTables.bootstrap.min.css"	rel="stylesheet">

<!-- IE10 viewport hack for Surface/desktop Windows 8 bug -->
<link href="css/ie10-viewport-bug-workaround.css" rel="stylesheet">
</head>
<body>
	<div class="site-holder">
		<!-- Fixed navbar -->	
		<?php
			$menu = new Header ();
			$menu->Menu ( "cadastrar" );
		?>
		<!-- .box-holder -->
		<div class="box-holder">
			<!-- .content -->
			<div class="container">
				<!-- Example row of columns -->
				<div class="row">
					<div class="col-sm-12 col-md-12 col-lg-12">
						<div class="panel panel-primary">
							<div class="panel-heading">
								<h3 class="panel-title">
									Cadastrar Matéria <span class="pull-right"> <a href="#"
										class="panel-minimize"><i class="fa fa-chevron-up"></i></a> <a
										href="#" class="panel-close"><i class="fa fa-times"></i></a>
									</span>
								</h3>
							</div>
							<div class="panel-body">
								<form class="form-horizontal" role="form" id="form-matter">
									<div class="form-group">
										<label for="nome_mat"
											class="col-sm-2 col-md-2 col-lg-2 control-label">Nome</label>
										<div class="col-sm-10 col-md-10 col-lg-10">
											<input type="text" class="form-control form-cascade-control"
												id="nome_mat" name="nome_mat">
										</div>
									</div>
									<div class="form-group">
										<label for="carga_horaria"
											class="col-sm-2 col-md-2 col-lg-2 control-label">Carga Horária</label>
										<div class="col-sm-3 col-md-2 col-lg-2">
											<input type="text" class="form-control form-cascade-control"
												id="carga_horaria" name="carga_horaria">
										</div>
										<label for="qtd_avaliacao"
											class="col-sm-2 col-md-2 col-lg-2 control-label">Qtd. de Avaliação</label>
										<div class="col-sm-3 col-md-2 col-lg-2">
											<input type="text" class="form-control form-cascade-control"
												id="qtd_avaliacao" name="qtd_avaliacao" placeholder="4">
										</div>
										<label for="periodo"
											class="col-sm-2 col-md-1 col-lg-2 control-label">Período</label>
										<div class="col-sm-3 col-md-3 col-lg-2">
											<select class="form-control form-cascade-control" id="periodo">
												<option value="s">--- Selecionar ---</option>
												<option value="Vespertino">Vespertino</option>
												<option value="Matutino">Matutino</option>
												<option value="Noturno">Noturno</option>
												<option value="Integral">Integral</option>
											</select>
										</div>
									</div>
									<div class="form-group">
										<label class="col-sm-2 col-md-2 col-lg-2"></label>
										<div class="col-lg-10 col-md-10">
											<button type="reset" class="btn btn-default"><i class="fa fa-close"></i> Cancelar</button>
											<button type="submit" class="btn btn-primary"><i class="fa fa-floppy-o"></i> Salvar</button>
										</div>
									</div>
								</form>
							</div>
						</div>
						<!-- /.panel -->
						<div class="panel panel-primary">
							<div class="panel-heading panel-primary">
								<h3 class="panel-title">Matérias Cadastradas</h3>
							</div>
							<div class="panel-body">
								<div class="table-responsive">
									<table id="table-matters"
										class="table table-striped table-bordered" cellspacing="0"
										width="100%">
										<thead>
											<tr>
												<th class="text-align-table">#</th>
												<th class="text-align-table">Nome</th>
												<th class="text-align-table">Carga Horária</th>
												<th class="text-align-table">Qtd. Avaliação</th>
												<th class="text-align-table">Período</th>
												<th class="text-align-table">Ação</th>
											</tr>
										</thead>
										<tbody>
										</tbody>
									</table>
								</div>
							</div>
							<!-- /.panel -->
						</div>
					</div>
				</div>

				<?php
					$footer = new Header ();
					$footer->Footer ();
				?>
			</div>
			<!-- /container -->
		</div>
	</div>
	<!-- modal informativo -->
	<div id="modal-information" class="modal fade" tabindex="-1"
		role="dialog">
		<div class="modal-dialog" role="document">
			<div class="modal-content">
				<div class="modal-header">
					<button type="button" class="close" data-dismiss="modal"
						aria-label="Close">
						<span aria-hidden="true">&times;</span>
					</button>
					<h4 class="modal-title"></h4>
				</div>
				<div class="modal-body">
				</div>
				<div class="modal-footer"></div>
			</div>
			<!-- /.modal-content -->
		</div>
		<!-- /.modal-dialog -->
	</div>

	<!-- /container -->
	<script type="text/javascript" src="js/jquery-1.12.2.min.js"></script>
	<script type="text/javascript" src="js/bootstrap.js"></script>

	<!-- IE10 viewport hack for Surface/desktop Windows 8 bug -->
	<script type="text/javascript" src="js/ie10-viewport-bug-workaround.js"></script>
	
	<!-- Table  -->
	<script type="text/javascript" src="js/table/jquery.dataTables.min.js"></script>
	<script type="text/javascript" src="js/table/dataTables.bootstrap.min.js"></script>

	<script type="text/javascript" src="js/tcc/matters.form.js"></script>
</body>
</html>