<?php
	require_once 'connection/DataBase.class.php';

	class MattersDAO extends DataBase{
		public function selectMatters($idAcademic){
			/*Selecionando dados de conexao com o BD*/
			$this->conn = new DataBase();
				
			$this->pdo = $this->conn->DatabaseDefault();
			
			$this->sql = "SELECT m.id, m.title, t.name AS teacher 
					FROM matters AS m, academics_matters AS am, teacher AS t
					WHERE am.cod_matter = m.id
					AND m.cod_teacher = t.id
					AND am.cod_academic = ?";
			
			$this->query = $this->pdo->prepare($this->sql);

			$this->query->bindValue(1, $idAcademic);

			if($this->query->execute()){
				$rows = $this->query->fetchAll ( PDO::FETCH_OBJ );

				return array('success' => 1, 'data' => $rows);
			}else{
				$this->queryError = $this->query->errorInfo();
					
				parent::__destruct();
					
				return array("success" => 0, "alert" => "Error - ".$this->queryError[2]);
			}
		}
	}
?>